Toybrick

关于1808计算棒的bug

zengwubin

中级会员

积分
274
发表于 2020-11-15 15:10:47    查看: 205|回复: 1 | [复制链接]    打印 | 显示全部楼层
在Ubuntu18的开发板上安装1,4,0版本toolkit-lite,按照rk1808计算棒WIKI教程操作了,运行toolkit-lite的example报错如下:
--> Load RKNN model
done
--> Init runtime environment
E RKNNAPI: rknn_init,  driver open fail!  ret = -12(ERROR_NOT_SUPPORTED)!
E Catch exception when init runtime!
*************************
all device(s) with ntb mode:
TS018083200400969
*************************
E ['TS018083200400969']
E Traceback (most recent call last):
  File "/home/firefly/archiconda3/envs/rknn/lib/python3.7/site-packages/rknnlite/api/rknn_lite.py", line 152, in init_runtime
    self.rknn_runtime.build_graph(self.rknn_data, self.load_model_in_npu)
  File "rknnlite/api/rknn_runtime.py", line 356, in rknnlite.api.rknn_runtime.RKNNRuntime.build_graph
Exception: RKNN init failed. error code: RKNN_ERR_DEVICE_UNAVAILABLE

Init runtime environment failed

在x86机子上相同操作就能正常调用npu。
请问问题怎么解决呢,

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

zengwubin

中级会员

积分
274
 楼主| 发表于 2020-11-15 18:53:28 | 显示全部楼层
查阅了Trouble-Shotting 的文档,我的版本都是1.3.0的全都对应得上,但是还是报这个错,希望官方解答一下 谢谢
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表